IMC
cancel
Showing results for 
Search instead for 
Did you mean: 

Error upgrading WSM from 5.2 to 7.0

LucianoCarvalho
Respected Contributor

Error upgrading WSM from 5.2 to 7.0

Hello guys,

 

I have upgraded IMC Platform and WSM from 5.1 to 5.2 E0402 and them from 5.2 E0402 to 7.0 E0202.

Platform upgrade went well, but WSM upgrade gives me an error during deploy.

Looking at file dmslog.txt I found the following error:

 

2014-08-15 12:59:54 [ERROR] [SwingWorker-pool-5-thread-8] [com.h3c.imc.deploy.tasks.ExecuteSqlTask$a::a(428)]
com.microsoft.sqlserver.jdbc.SQLServerException: Violation of PRIMARY KEY constraint 'PK__tbl_trap__58302C197849DB76'. Cannot insert duplicate key in object 'imc_monitor.tbl_trap_upgrade_event'.

 

Has anyone seem this error before ?

 

1 REPLY
LindsayHill
Honored Contributor

Re: Error upgrading WSM from 5.2 to 7.0

I did run into an issue a while ago with MySQL on Linux that looked vaguely similar. Going direct to E0202 didn't work, and I ended up using WSM 7.0 E0102, then upgrading that. Not sure if it's exactly the same issue or not  though.